# Uses of Class
org.opensaml.profile.context.MetricContext

Packages that use MetricContext
Package
Description
org.opensaml.profile.context
Context classes in support of profile behavior.

## Uses of MetricContext in org.opensaml.profile.context

Methods in org.opensaml.profile.context that return MetricContext
Modifier and Type
Method
Description
`MetricContext`
MetricContext.`addCounter(String counterName, String objectId)`
Add an object/counter mapping.
`MetricContext`
MetricContext.`addTimer(String timerName, String startId, String stopId)`
Add an object/timer mapping.